<?php
//  chdir('../../../../'); //admin root

  $class = 'paypal_rest';
  include_once('../includes/languages/' . $language . '/modules/payment/paypal_rest.php');
  if (!class_exists($class)) {
    include_once('../includes/modules/payment/paypal_rest.php');
  }
  $options = [];
  if (class_exists($class)) {
      $module  = new paypal_rest();
      $options = $module->getInstallOptions();
  }

?>
<style>
    #installPPP {display: inline-block; padding-right:2em;}
    .ppp-modal-button {display: inline-block; padding-right:2em;}
    .hidden {display: none}
</style>


<script type="text/javascript">

var pppBaseHrefLive="", pppBaseHrefSandbox="", pppFetchKeysUrl = '';
var pppgolive = false, ppp_active=false, ppp_mode = 'Live', ppp_psi_selected=0, ppp_psi_id = [0, 0], hrefOwnExtra = '';
var ppppage = 'index';

function checkPPP(platform_id) {
    var post_data = [];
    post_data.push({ name: 'platform_id', value: platform_id});

    $.post("<?=tep_href_link('ext/modules/payment/paypal_rest/index.php', 'action=status')?>", post_data, function (data, status) {
        if (status == "success") {
            if (data.titlePPP) {
                $('#installPPP a .ui-button-text').text(data.titlePPP);
            }
            if (data.golivePPP) {
                $('#installPPP a').addClass('go-live');
            } else {
                $('#installPPP a').removeClass('go-live');
            }
            if (data.installPPP) {
               $('#installPPP').show();
            } else {
               $('#installPPP').hide();
            }
            ppp_active = data.activePPP;
        }
    }, "json");
}

function onboardedCallback(authCode, sharedId) {
    var temp_mode = '';
    if ($('#ppp_seller_mode').length) {
        temp_mode = $('#ppp_seller_mode').val();
    }
    fetch(pppFetchKeysUrl, {
      method: 'POST',
      headers: {
        'content-type': 'application/json'
      },
      body: JSON.stringify({
        authCode: authCode,
        sharedId: sharedId,
        platform_id: 0, //$('#page_platform_id').val(),
        ppp_mode: ppp_mode,
        psi_id: ppp_psi_selected,
      })

    }).then(function(res) {
        if (!res.ok) {
            alert("Something went wrong!");
        } else {
            //PAYPAL.apps.Signup.MiniBrowser.closeFlow();
        }
    });
}

////PayPal button in the wizard
function initPPPButton() {
    var pppIntervalId = window.setInterval(function() {
        if (PAYPAL) {
            if (typeof PAYPAL.apps.Signup.MiniBrowser.init !== 'function' ) {
                return false;
            }
            // Clear the interval id
            window.clearInterval(pppIntervalId);
            PAYPAL.apps.Signup.MiniBrowser.init();
            var pppIntervalId1 = window.setInterval(function() {
                var pppinited = false;
                try {
                    var attr = $($('.ppp-boarding-btn')[0]).css('display');
                    if (typeof attr !== 'undefined' && attr !== false  && attr !== '') {
                        pppinited = true;
                    } else {
                        return false;
                    }
                } catch ( e ) {
                    console.log(e);
                }

                window.clearInterval(pppIntervalId1);

                $('.ppp-boarding-widget').removeClass('ppp-boarding-widget-wait');
                $('.ppp-boarding-btn').prop('disabled', false);

            }, 500);
        }
    }, 500);
}

function pppWizardPopUp(){
    if ($('#pppWizardPopUp').length == 0) {
        $('body').append('<div id="pppWizardPopUp"></div>');
    }
    $('#pppWizardPopUp').dialog({
        modal: true,
      title: '<?php echo $module::js_escape(ADD_PAYPAL_TITLE)?>',
      create: function( event, ui ) { $('#pppWizardPopUp').append(
          '<div class="bootbox-radiobutton-list ppp-quick-setup">'
+'<div class="ppp_step1">'
    + '<div class="ppp-setup-intro after"><?php echo $module::js_escape(PAYPAL_EXISTING_ACCOUNT);?></div>'
    + '<div class="form-check-radio"><label class="form-check-label"><input class="form-check-input bootbox-input bootbox-input-radio" type="radio" name="bootbox-radio" value="1"><?php echo $module::js_escape(PAYPAL_ACCOUNT_OPTIONS_YES);?></label></div>'
    + '<div class="form-check-radio"><label class="form-check-label form-check-radio-label"><input class="form-check-input bootbox-input bootbox-input-radio" type="radio" name="bootbox-radio" value="2"><?php echo $module::js_escape(PAYPAL_ACCOUNT_OPTIONS_NO);?></label></div>'
+'</div>' // step 1

      //+ '<br><div id="ppp_advanced" class="ppp-advanced-link" style="display:none"><a href="javascript:void(0)" onclick="$(\'.ppp-popup-advanced\').toggle(); return false;"><?php echo $module::js_escape(TEXT_ADVANCED);?></a></div>'

//step 2 no account
      + '<div class="ppp_small" style="display:none"><label class="form-check-label ppp-sandbox-option"><input class="form-check-input bootbox-input bootbox-input-checkbox ppp-test-mode" type="checkbox" name="test_mode" value="1">'
      + '<span class="ppp_small_label"><?php echo $module::js_escape(PAYPAL_SANDBOX_TRY);?></span>' + '</label></div>'


//step 2 account
      + '<div class="ppp-popup-advanced" style="display:none">'
      + '<div class="form-check-radio"><label class="form-check-label"><input class="form-check-input bootbox-input bootbox-input-radio" type="radio" name="bootbox-radio" value="4"><?php echo $module::js_escape(PAYPAL_ACCOUNT_OPTIONS_OWN_API_ACCESS);?></label></div>'
      + '<div class="form-check-radio"><label class="form-check-label"><input class="form-check-input bootbox-input bootbox-input-radio" type="radio" name="bootbox-radio" value="5"><?php echo $module::js_escape(PAYPAL_ACCOUNT_PRESS_BUTTON);?></label><span class="paypal-button-holder ppp-boarding-widget ppp-boarding-widget-wait"><span class="ppp-over"></span><span>'
     + '<a disabled data-paypal-onboard-complete="onboardedCallback" href="#" data-paypal-button="PPLtBlue" class="ppp-boarding-btn" id="ppp-boarding-btn"><?php echo $module::js_escape(MODULE_PAYMENT_PAYPAL_REST_CONTINUE_PAYPAL);?></a>'
      +'</span></span> <?php echo $module::js_escape(MODULE_PAYMENT_PAYPAL_REST_GET_DATA_PAYPAL);?></div>'
      + '<label class="form-check-label ppp-sandbox-option"><input class="form-check-input bootbox-input bootbox-input-checkbox ppp-test-mode" type="checkbox" name="test_mode" value="1">'
      + '<?php echo $module::js_escape(PAYPAL_SANDBOX_MODE);?>' + '</label></div><br>'
      + '</div>'
      + '</div>'
    );

    },



      open: function (e) {
            //$("#pppWizardPopUp button").addClass('ui-helper-hidden');
            $('.ppp_step1').show();
            $('.ppp_small').hide();
            $('.ppp-popup-advanced').hide();
            
            $('.btn-next').show();
            $('.btn-next').removeClass('hidden');
            $('.btn-cancel').hide();
            $('.btn-enter').hide();
            $('.ppp-modal-button').remove();
            //get URLs
            var pppIntervalBaseUrl = window.setInterval(function() {

                if (pppBaseHrefLive == '') {
                    return false;
                }
                // Clear the interval id
                window.clearInterval(pppIntervalBaseUrl);
                $(".ppp-popup-advanced .ppp-boarding-btn").attr('href', pppBaseHrefLive);
            });

            //load PayPal lib
            (function(d, s, id){
            var js, ref = d.getElementsByTagName(s)[0]; if (!d.getElementById(id)){
            js = d.createElement(s); js.id = id; js.async = true;
            js.src = "https://www.paypal.com/webapps/merchantboarding/js/lib/lightbox/partner.js";
            ref.parentNode.insertBefore(js, ref); }
            }(document, "script", "paypaljs"));

            //init switchers
            $('.ppp-test-mode').on('click', function(){
                /// switch (sandbox/live) mode
////2do DO not switch!!!!! only add params
                //replace paypal button
                try {
                    $('.ppp-boarding-btn').prop('disabled', true);
                }catch (e ) {
                    console.log(e);
                }
                var href = '';
                $('.ppp-boarding-widget').addClass('ppp-boarding-widget-wait');

                if (this.checked) {
                    href = pppBaseHrefSandbox;
                    ppp_mode = 'Sandbox';
                    ppp_psi_selected = ppp_psi_id[1];
                } else {
                    href = pppBaseHrefLive;
                    ppp_mode = 'Live';
                    ppp_psi_selected = ppp_psi_id[0];
                }
                hrefOwnExtra = '&psi_id=' + ppp_psi_selected;
                $(".ppp-boarding-btn:visible").attr('href', href);
                initPPPButton();

            });

        //$('.bootbox-radiobutton-list div.form-check.radio').removeClass('radio');
        $('.ppp-quick-setup .bootbox-input-radio').on('click', function() {
            $('.ppp-quick-setup .form-check-radio').removeClass('active');
            $(this).parent().parent().removeClass('active');

        });
        $('.ppp-quick-setup .bootbox-input-radio').on('change', function(){

            $('.ui-dialog .btn').button( "option", "disabled", false).removeClass('disabled');
            if($(this).val() == 4){
                var baseHrefOwn = '<?=tep_href_link(FILENAME_MODULES, 'set=payment&action=edit&module=paypal_rest&ppp_next=4')?>';
                $('.ui-dialog-buttonset .btn-enter').prop('data-url', baseHrefOwn + hrefOwnExtra + '#extra');
                $('.ui-dialog-buttonset .btn-enter').show();
                $('.ui-dialog-buttonset .btn-enter').removeClass('hidden');
                //$('.ui-dialog-buttonset').html('<a href="' + baseHrefOwn + hrefOwnExtra + '#extra" class="btn btn-enter"><?php echo $module::js_escape(TEXT_ENTER_API_DETAILS);?></a>');
                $('.ppp-boarding-widget').addClass('ppp-boarding-widget-wait');
                $('.ppp-boarding-btn').prop('disabled', true);

            } else if($(this).val() == 5) {
                $('.ui-dialog-buttonset .btn-enter').hide();
                $('.ppp-boarding-widget').removeClass('ppp-boarding-widget-wait');
                $('.ppp-boarding-btn').prop('disabled', false);
            }


        })
        if (pppgolive) {
            $(".ppp-sandbox-option").hide();
        }

      },

      buttons: {
        cancel: {
            text: "<?php echo $module::js_escape(IMAGE_CANCEL);?>",
            class: "btn-cancel hidden",//disabled 
            //disabled: true,
            click: function () {
                $('.ppp_step1').show();
                $('.ppp_small').hide();
                $('.btn-next').show();
                $('.btn-next').removeClass('hidden');
                $('.btn-cancel').hide();
                $('.ppp-modal-button').remove();
                return false;
            }
        },
        ownDetails: {
            text: "<?php echo $module::js_escape(TEXT_ENTER_API_DETAILS);?>",
            class: "btn-enter hidden",//disabled
            //disabled: true,
            click: function () {
                window.location.href = $('.ui-dialog-buttonset .btn-enter').prop('data-url');
            }
        },
        success: {
            text: "<?php echo $module::js_escape(TEXT_NEXT);?>",
            class: "btn btn-next hidden",
            disabled: true,
            click: function () {
                        var result = 0;
                        try {
                            result = parseInt($('.ppp-quick-setup input[name="bootbox-radio"]:checked').val());
                        } catch (e ) {
                        }

                        if(result == 1){
                            $('.ppp_step1').hide();
                            $('.ppp-popup-advanced').show();
                            $('.btn-next').hide();

                        }else if(result == 2){
                            $('.ppp_step1').hide();
                            $('.ppp_small').show();
                            $('.btn-next').hide();
                            $('.btn-cancel').removeClass('hidden');
                            $('.btn-cancel').show().button( "option", "disabled", false).removeClass('disabled');
                            $('.btn-cancel').before(
                            '<div class="ppp-modal-button"><span class="paypal-button-holder ppp-boarding-widget ppp-boarding-widget-wait"><span class="ppp-over"></span><span>'
     + '<a disabled data-paypal-onboard-complete="onboardedCallback" href="' + pppBaseHrefLive + '" data-paypal-button="PPLtBlue" class="ppp-boarding-btn" id="ppp-boarding-btn-f"><?php echo $module::js_escape(MODULE_PAYMENT_PAYPAL_REST_CONTINUE_PAYPAL);?></a></div>'
      +'</span></span>');
                        }
                        initPPPButton();
                        return false;

                    }
                }
            },
    })
}


$(document).ready(function () {

    <?php 
        if (!empty($options['installPPP'])) {
            if (!empty($options['titlePPP'])) { ?>
              $('.div-installPPP a .ui-button-text, #installPPP a .ui-button-text').text("<?php echo $module::js_escape($options['titlePPP']);?>");
    <?php 
            }
            if (!empty($options['golivePPP'])) {
    ?>
              $('.div-installPPP a, #installPPP a').addClass('go-live');
    <?php 
            }
        }
        if (!empty($options['activePPP']) ){
    ?>
        ppp_active = <?php echo $options['activePPP']?>;
    <?php
        }
    ?>

    //#installPPP a - listing
    //.div-installPPP a - edit (2pcs)
    $('.div-installPPP a, #installPPP a').on('click', function (event) {

        event.preventDefault();
        try {
            pppgolive = $("#installPPP a").hasClass('go-live');
        } catch ( e ) { console.log(e); }

        pppBaseHrefLive=""; pppBaseHrefSandbox="";
        pData = { } //platform_id: $('#page_platform_id').val()
        if ($('#psi_id').length > 0) {
            pData.psi_id = $('#psi_id').val();
        }

        var post_data = [];
        //post_data.push({ name: 'platform_id', value: $('#page_platform_id').val()});
        post_data.push({ name: 'set', value: 'payment'});
        post_data.push({ name: 'module', value: 'paypal_rest'});
        post_data.push({ name: 'action', value: 'install'});

// install module - we need it's installed before boarding so sync request
        if (!ppp_active) {
            $.ajax({
                url: '<?=tep_href_link('ext/modules/payment/paypal_rest/index.php', 'action=install')?>',
                data: post_data,
                async: false,
                type: 'POST',
                success: function(data){ }
            });
        }

        pData.curUrl = window.location.origin + window.location.pathname;

        $.post("<?php echo $options['boardingOptionsUrl']?>", pData, function (data, status) {

            if (status == "success") {
                pppBaseHrefLive = data.live;
                pppBaseHrefSandbox = data.sandbox;
                pppFetchKeysUrl = data.fetchKeysUrl;
                ppp_psi_id = [data.psi_id, data.spsi_id];
                hrefOwnExtra = '&psi_id=' + ppp_psi_id[0];

                $(".ppp-popup-advanced .ppp-boarding-btn").attr('href', pppBaseHrefLive);
            } else {
                alert("Request error.");
            }
        }, "json");

        pppWizardPopUp();

    });

    <?php 
    if ($HTTP_GET_VARS['setup'] == 1){ 
    ?>
        $('#installPPP a').click();
    <?php
    }
    if (empty($options['activePPP']) || !empty($options['golivePPP'])) {
    ?>
        $('#installPPP').show();
    <?php

    }
    ?>

});
  </script>